Index: XIOS/trunk/src/interface/fortran_attr/iaxisgroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/iaxisgroup_attr.F90	(revision 368)
+++ XIOS/trunk/src/interface/fortran_attr/iaxisgroup_attr.F90	(revision 369)
@@ -12,5 +12,6 @@
   
   SUBROUTINE xios(set_axisgroup_attr)  &
-    ( axisgroup_id, group_ref, long_name, name, size, standard_name, unit, value )
+    ( axisgroup_id, group_ref, long_name, name, size, standard_name, unit, value, zoom_begin, zoom_end  &
+    , zoom_size )
     
     IMPLICIT NONE
@@ -24,13 +25,18 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: value(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_begin
+      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_end
+      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_size
       
       CALL xios(get_axisgroup_handle)(axisgroup_id,axisgroup_hdl)
       CALL xios(set_axisgroup_attr_hdl_)   &
-      ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value )
+      ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value, zoom_begin, zoom_end  &
+      , zoom_size )
     
   END SUBROUTINE xios(set_axisgroup_attr)
   
   SUBROUTINE xios(set_axisgroup_attr_hdl)  &
-    ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value )
+    ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value, zoom_begin, zoom_end  &
+    , zoom_size )
     
     IMPLICIT NONE
@@ -43,12 +49,17 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: value(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_begin
+      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_end
+      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_size
       
       CALL xios(set_axisgroup_attr_hdl_)  &
-      ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value )
+      ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value, zoom_begin, zoom_end  &
+      , zoom_size )
     
   END SUBROUTINE xios(set_axisgroup_attr_hdl)
   
   SUBROUTINE xios(set_axisgroup_attr_hdl_)   &
-    ( axisgroup_hdl, group_ref_, long_name_, name_, size_, standard_name_, unit_, value_ )
+    ( axisgroup_hdl, group_ref_, long_name_, name_, size_, standard_name_, unit_, value_, zoom_begin_  &
+    , zoom_end_, zoom_size_ )
     
     IMPLICIT NONE
@@ -61,4 +72,7 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: unit_
       REAL (KIND=8) , OPTIONAL, INTENT(IN) :: value_(:)
+      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_begin_
+      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_end_
+      INTEGER  , OPTIONAL, INTENT(IN) :: zoom_size_
       
       IF (PRESENT(group_ref_)) THEN
@@ -90,4 +104,16 @@
       ENDIF
       
+      IF (PRESENT(zoom_begin_)) THEN
+        CALL cxios_set_axisgroup_zoom_begin(axisgroup_hdl%daddr, zoom_begin_)
+      ENDIF
+      
+      IF (PRESENT(zoom_end_)) THEN
+        CALL cxios_set_axisgroup_zoom_end(axisgroup_hdl%daddr, zoom_end_)
+      ENDIF
+      
+      IF (PRESENT(zoom_size_)) THEN
+        CALL cxios_set_axisgroup_zoom_size(axisgroup_hdl%daddr, zoom_size_)
+      ENDIF
+      
       
     
@@ -95,5 +121,6 @@
   
   SUBROUTINE xios(get_axisgroup_attr)  &
-    ( axisgroup_id, group_ref, long_name, name, size, standard_name, unit, value )
+    ( axisgroup_id, group_ref, long_name, name, size, standard_name, unit, value, zoom_begin, zoom_end  &
+    , zoom_size )
     
     IMPLICIT NONE
@@ -107,13 +134,18 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: value(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_begin
+      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_end
+      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_size
       
       CALL xios(get_axisgroup_handle)(axisgroup_id,axisgroup_hdl)
       CALL xios(get_axisgroup_attr_hdl_)   &
-      ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value )
+      ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value, zoom_begin, zoom_end  &
+      , zoom_size )
     
   END SUBROUTINE xios(get_axisgroup_attr)
   
   SUBROUTINE xios(get_axisgroup_attr_hdl)  &
-    ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value )
+    ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value, zoom_begin, zoom_end  &
+    , zoom_size )
     
     IMPLICIT NONE
@@ -126,12 +158,17 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: value(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_begin
+      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_end
+      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_size
       
       CALL xios(get_axisgroup_attr_hdl_)  &
-      ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value )
+      ( axisgroup_hdl, group_ref, long_name, name, size, standard_name, unit, value, zoom_begin, zoom_end  &
+      , zoom_size )
     
   END SUBROUTINE xios(get_axisgroup_attr_hdl)
   
   SUBROUTINE xios(get_axisgroup_attr_hdl_)   &
-    ( axisgroup_hdl, group_ref_, long_name_, name_, size_, standard_name_, unit_, value_ )
+    ( axisgroup_hdl, group_ref_, long_name_, name_, size_, standard_name_, unit_, value_, zoom_begin_  &
+    , zoom_end_, zoom_size_ )
     
     IMPLICIT NONE
@@ -144,4 +181,7 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: unit_
       REAL (KIND=8) , OPTIONAL, INTENT(OUT) :: value_(:)
+      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_begin_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_end_
+      INTEGER  , OPTIONAL, INTENT(OUT) :: zoom_size_
       
       IF (PRESENT(group_ref_)) THEN
@@ -173,4 +213,16 @@
       ENDIF
       
+      IF (PRESENT(zoom_begin_)) THEN
+        CALL cxios_get_axisgroup_zoom_begin(axisgroup_hdl%daddr, zoom_begin_)
+      ENDIF
+      
+      IF (PRESENT(zoom_end_)) THEN
+        CALL cxios_get_axisgroup_zoom_end(axisgroup_hdl%daddr, zoom_end_)
+      ENDIF
+      
+      IF (PRESENT(zoom_size_)) THEN
+        CALL cxios_get_axisgroup_zoom_size(axisgroup_hdl%daddr, zoom_size_)
+      ENDIF
+      
       
     
Index: XIOS/trunk/src/interface/fortran_attr/icontext_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/icontext_attr.F90	(revision 368)
+++ XIOS/trunk/src/interface/fortran_attr/icontext_attr.F90	(revision 369)
@@ -12,5 +12,5 @@
   
   SUBROUTINE xios(set_context_attr)  &
-    ( context_id, calendar_type, output_dir, start_date, timestep )
+    ( context_id, calendar_type, output_dir, start_date, time_origin, timestep )
     
     IMPLICIT NONE
@@ -20,14 +20,15 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_dir
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: start_date
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_origin
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timestep
       
       CALL xios(get_context_handle)(context_id,context_hdl)
       CALL xios(set_context_attr_hdl_)   &
-      ( context_hdl, calendar_type, output_dir, start_date, timestep )
+      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
     
   END SUBROUTINE xios(set_context_attr)
   
   SUBROUTINE xios(set_context_attr_hdl)  &
-    ( context_hdl, calendar_type, output_dir, start_date, timestep )
+    ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
     
     IMPLICIT NONE
@@ -36,13 +37,14 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_dir
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: start_date
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_origin
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timestep
       
       CALL xios(set_context_attr_hdl_)  &
-      ( context_hdl, calendar_type, output_dir, start_date, timestep )
+      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
     
   END SUBROUTINE xios(set_context_attr_hdl)
   
   SUBROUTINE xios(set_context_attr_hdl_)   &
-    ( context_hdl, calendar_type_, output_dir_, start_date_, timestep_ )
+    ( context_hdl, calendar_type_, output_dir_, start_date_, time_origin_, timestep_ )
     
     IMPLICIT NONE
@@ -51,4 +53,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_dir_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: start_date_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: time_origin_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: timestep_
       
@@ -65,4 +68,8 @@
       ENDIF
       
+      IF (PRESENT(time_origin_)) THEN
+        CALL cxios_set_context_time_origin(context_hdl%daddr, time_origin_, len(time_origin_))
+      ENDIF
+      
       IF (PRESENT(timestep_)) THEN
         CALL cxios_set_context_timestep(context_hdl%daddr, timestep_, len(timestep_))
@@ -74,5 +81,5 @@
   
   SUBROUTINE xios(get_context_attr)  &
-    ( context_id, calendar_type, output_dir, start_date, timestep )
+    ( context_id, calendar_type, output_dir, start_date, time_origin, timestep )
     
     IMPLICIT NONE
@@ -82,14 +89,15 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_dir
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: start_date
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_origin
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timestep
       
       CALL xios(get_context_handle)(context_id,context_hdl)
       CALL xios(get_context_attr_hdl_)   &
-      ( context_hdl, calendar_type, output_dir, start_date, timestep )
+      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
     
   END SUBROUTINE xios(get_context_attr)
   
   SUBROUTINE xios(get_context_attr_hdl)  &
-    ( context_hdl, calendar_type, output_dir, start_date, timestep )
+    ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
     
     IMPLICIT NONE
@@ -98,13 +106,14 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_dir
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: start_date
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_origin
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timestep
       
       CALL xios(get_context_attr_hdl_)  &
-      ( context_hdl, calendar_type, output_dir, start_date, timestep )
+      ( context_hdl, calendar_type, output_dir, start_date, time_origin, timestep )
     
   END SUBROUTINE xios(get_context_attr_hdl)
   
   SUBROUTINE xios(get_context_attr_hdl_)   &
-    ( context_hdl, calendar_type_, output_dir_, start_date_, timestep_ )
+    ( context_hdl, calendar_type_, output_dir_, start_date_, time_origin_, timestep_ )
     
     IMPLICIT NONE
@@ -113,4 +122,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_dir_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: start_date_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: time_origin_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: timestep_
       
@@ -127,4 +137,8 @@
       ENDIF
       
+      IF (PRESENT(time_origin_)) THEN
+        CALL cxios_get_context_time_origin(context_hdl%daddr, time_origin_, len(time_origin_))
+      ENDIF
+      
       IF (PRESENT(timestep_)) THEN
         CALL cxios_get_context_timestep(context_hdl%daddr, timestep_, len(timestep_))
Index: XIOS/trunk/src/interface/fortran_attr/ifile_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/ifile_attr.F90	(revision 368)
+++ XIOS/trunk/src/interface/fortran_attr/ifile_attr.F90	(revision 369)
@@ -12,6 +12,6 @@
   
   SUBROUTINE xios(set_file_attr)  &
-    ( file_id, description, enabled, name, name_suffix, output_freq, output_level, split_freq, sync_freq  &
-    , type )
+    ( file_id, description, enabled, name, name_suffix, output_freq, output_level, par_access, split_freq  &
+    , sync_freq, type )
     
     IMPLICIT NONE
@@ -25,4 +25,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_freq
       INTEGER  , OPTIONAL, INTENT(IN) :: output_level
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: sync_freq
@@ -31,12 +32,12 @@
       CALL xios(get_file_handle)(file_id,file_hdl)
       CALL xios(set_file_attr_hdl_)   &
-      ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, split_freq, sync_freq  &
-      , type )
+      ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, par_access, split_freq  &
+      , sync_freq, type )
     
   END SUBROUTINE xios(set_file_attr)
   
   SUBROUTINE xios(set_file_attr_hdl)  &
-    ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, split_freq, sync_freq  &
-    , type )
+    ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, par_access, split_freq  &
+    , sync_freq, type )
     
     IMPLICIT NONE
@@ -49,4 +50,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_freq
       INTEGER  , OPTIONAL, INTENT(IN) :: output_level
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: sync_freq
@@ -54,12 +56,12 @@
       
       CALL xios(set_file_attr_hdl_)  &
-      ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, split_freq, sync_freq  &
-      , type )
+      ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, par_access, split_freq  &
+      , sync_freq, type )
     
   END SUBROUTINE xios(set_file_attr_hdl)
   
   SUBROUTINE xios(set_file_attr_hdl_)   &
-    ( file_hdl, description_, enabled_, name_, name_suffix_, output_freq_, output_level_, split_freq_  &
-    , sync_freq_, type_ )
+    ( file_hdl, description_, enabled_, name_, name_suffix_, output_freq_, output_level_, par_access_  &
+    , split_freq_, sync_freq_, type_ )
     
     IMPLICIT NONE
@@ -72,4 +74,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_freq_
       INTEGER  , OPTIONAL, INTENT(IN) :: output_level_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: sync_freq_
@@ -101,4 +104,8 @@
       ENDIF
       
+      IF (PRESENT(par_access_)) THEN
+        CALL cxios_set_file_par_access(file_hdl%daddr, par_access_, len(par_access_))
+      ENDIF
+      
       IF (PRESENT(split_freq_)) THEN
         CALL cxios_set_file_split_freq(file_hdl%daddr, split_freq_, len(split_freq_))
@@ -118,6 +125,6 @@
   
   SUBROUTINE xios(get_file_attr)  &
-    ( file_id, description, enabled, name, name_suffix, output_freq, output_level, split_freq, sync_freq  &
-    , type )
+    ( file_id, description, enabled, name, name_suffix, output_freq, output_level, par_access, split_freq  &
+    , sync_freq, type )
     
     IMPLICIT NONE
@@ -131,4 +138,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_freq
       INTEGER  , OPTIONAL, INTENT(OUT) :: output_level
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: sync_freq
@@ -137,12 +145,12 @@
       CALL xios(get_file_handle)(file_id,file_hdl)
       CALL xios(get_file_attr_hdl_)   &
-      ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, split_freq, sync_freq  &
-      , type )
+      ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, par_access, split_freq  &
+      , sync_freq, type )
     
   END SUBROUTINE xios(get_file_attr)
   
   SUBROUTINE xios(get_file_attr_hdl)  &
-    ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, split_freq, sync_freq  &
-    , type )
+    ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, par_access, split_freq  &
+    , sync_freq, type )
     
     IMPLICIT NONE
@@ -155,4 +163,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_freq
       INTEGER  , OPTIONAL, INTENT(OUT) :: output_level
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: sync_freq
@@ -160,12 +169,12 @@
       
       CALL xios(get_file_attr_hdl_)  &
-      ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, split_freq, sync_freq  &
-      , type )
+      ( file_hdl, description, enabled, name, name_suffix, output_freq, output_level, par_access, split_freq  &
+      , sync_freq, type )
     
   END SUBROUTINE xios(get_file_attr_hdl)
   
   SUBROUTINE xios(get_file_attr_hdl_)   &
-    ( file_hdl, description_, enabled_, name_, name_suffix_, output_freq_, output_level_, split_freq_  &
-    , sync_freq_, type_ )
+    ( file_hdl, description_, enabled_, name_, name_suffix_, output_freq_, output_level_, par_access_  &
+    , split_freq_, sync_freq_, type_ )
     
     IMPLICIT NONE
@@ -178,4 +187,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_freq_
       INTEGER  , OPTIONAL, INTENT(OUT) :: output_level_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: sync_freq_
@@ -207,4 +217,8 @@
       ENDIF
       
+      IF (PRESENT(par_access_)) THEN
+        CALL cxios_get_file_par_access(file_hdl%daddr, par_access_, len(par_access_))
+      ENDIF
+      
       IF (PRESENT(split_freq_)) THEN
         CALL cxios_get_file_split_freq(file_hdl%daddr, split_freq_, len(split_freq_))
Index: XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90
===================================================================
--- XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 368)
+++ XIOS/trunk/src/interface/fortran_attr/ifilegroup_attr.F90	(revision 369)
@@ -13,5 +13,5 @@
   SUBROUTINE xios(set_filegroup_attr)  &
     ( filegroup_id, description, enabled, group_ref, name, name_suffix, output_freq, output_level  &
-    , split_freq, sync_freq, type )
+    , par_access, split_freq, sync_freq, type )
     
     IMPLICIT NONE
@@ -26,4 +26,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_freq
       INTEGER  , OPTIONAL, INTENT(IN) :: output_level
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: sync_freq
@@ -33,5 +34,5 @@
       CALL xios(set_filegroup_attr_hdl_)   &
       ( filegroup_hdl, description, enabled, group_ref, name, name_suffix, output_freq, output_level  &
-      , split_freq, sync_freq, type )
+      , par_access, split_freq, sync_freq, type )
     
   END SUBROUTINE xios(set_filegroup_attr)
@@ -39,5 +40,5 @@
   SUBROUTINE xios(set_filegroup_attr_hdl)  &
     ( filegroup_hdl, description, enabled, group_ref, name, name_suffix, output_freq, output_level  &
-    , split_freq, sync_freq, type )
+    , par_access, split_freq, sync_freq, type )
     
     IMPLICIT NONE
@@ -51,4 +52,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_freq
       INTEGER  , OPTIONAL, INTENT(IN) :: output_level
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: sync_freq
@@ -57,5 +59,5 @@
       CALL xios(set_filegroup_attr_hdl_)  &
       ( filegroup_hdl, description, enabled, group_ref, name, name_suffix, output_freq, output_level  &
-      , split_freq, sync_freq, type )
+      , par_access, split_freq, sync_freq, type )
     
   END SUBROUTINE xios(set_filegroup_attr_hdl)
@@ -63,5 +65,5 @@
   SUBROUTINE xios(set_filegroup_attr_hdl_)   &
     ( filegroup_hdl, description_, enabled_, group_ref_, name_, name_suffix_, output_freq_, output_level_  &
-    , split_freq_, sync_freq_, type_ )
+    , par_access_, split_freq_, sync_freq_, type_ )
     
     IMPLICIT NONE
@@ -75,4 +77,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: output_freq_
       INTEGER  , OPTIONAL, INTENT(IN) :: output_level_
+      CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: par_access_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: split_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(IN) :: sync_freq_
@@ -108,4 +111,8 @@
       ENDIF
       
+      IF (PRESENT(par_access_)) THEN
+        CALL cxios_set_filegroup_par_access(filegroup_hdl%daddr, par_access_, len(par_access_))
+      ENDIF
+      
       IF (PRESENT(split_freq_)) THEN
         CALL cxios_set_filegroup_split_freq(filegroup_hdl%daddr, split_freq_, len(split_freq_))
@@ -126,5 +133,5 @@
   SUBROUTINE xios(get_filegroup_attr)  &
     ( filegroup_id, description, enabled, group_ref, name, name_suffix, output_freq, output_level  &
-    , split_freq, sync_freq, type )
+    , par_access, split_freq, sync_freq, type )
     
     IMPLICIT NONE
@@ -139,4 +146,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_freq
       INTEGER  , OPTIONAL, INTENT(OUT) :: output_level
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: sync_freq
@@ -146,5 +154,5 @@
       CALL xios(get_filegroup_attr_hdl_)   &
       ( filegroup_hdl, description, enabled, group_ref, name, name_suffix, output_freq, output_level  &
-      , split_freq, sync_freq, type )
+      , par_access, split_freq, sync_freq, type )
     
   END SUBROUTINE xios(get_filegroup_attr)
@@ -152,5 +160,5 @@
   SUBROUTINE xios(get_filegroup_attr_hdl)  &
     ( filegroup_hdl, description, enabled, group_ref, name, name_suffix, output_freq, output_level  &
-    , split_freq, sync_freq, type )
+    , par_access, split_freq, sync_freq, type )
     
     IMPLICIT NONE
@@ -164,4 +172,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_freq
       INTEGER  , OPTIONAL, INTENT(OUT) :: output_level
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: sync_freq
@@ -170,5 +179,5 @@
       CALL xios(get_filegroup_attr_hdl_)  &
       ( filegroup_hdl, description, enabled, group_ref, name, name_suffix, output_freq, output_level  &
-      , split_freq, sync_freq, type )
+      , par_access, split_freq, sync_freq, type )
     
   END SUBROUTINE xios(get_filegroup_attr_hdl)
@@ -176,5 +185,5 @@
   SUBROUTINE xios(get_filegroup_attr_hdl_)   &
     ( filegroup_hdl, description_, enabled_, group_ref_, name_, name_suffix_, output_freq_, output_level_  &
-    , split_freq_, sync_freq_, type_ )
+    , par_access_, split_freq_, sync_freq_, type_ )
     
     IMPLICIT NONE
@@ -188,4 +197,5 @@
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: output_freq_
       INTEGER  , OPTIONAL, INTENT(OUT) :: output_level_
+      CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: par_access_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: split_freq_
       CHARACTER(len = *) , OPTIONAL, INTENT(OUT) :: sync_freq_
@@ -221,4 +231,8 @@
       ENDIF
       
+      IF (PRESENT(par_access_)) THEN
+        CALL cxios_get_filegroup_par_access(filegroup_hdl%daddr, par_access_, len(par_access_))
+      ENDIF
+      
       IF (PRESENT(split_freq_)) THEN
         CALL cxios_get_filegroup_split_freq(filegroup_hdl%daddr, split_freq_, len(split_freq_))
Index: XIOS/trunk/src/log.hpp
===================================================================
--- XIOS/trunk/src/log.hpp	(revision 368)
+++ XIOS/trunk/src/log.hpp	(revision 369)
@@ -3,4 +3,5 @@
 #include <string>
 #include <iostream>
+#include <string>
 
 namespace xios
Index: XIOS/trunk/src/node/axis.cpp
===================================================================
--- XIOS/trunk/src/node/axis.cpp	(revision 368)
+++ XIOS/trunk/src/node/axis.cpp	(revision 369)
@@ -73,5 +73,5 @@
       this->zoom_size.setValue(zoom_size) ;
       
-      StdSize true_size = value.getValue()->num_elements();
+      StdSize true_size = value.numElements();
       if (size != true_size)
          ERROR("CAxis::checkAttributes(void)",
Index: XIOS/trunk/src/node/axis.hpp
===================================================================
--- XIOS/trunk/src/node/axis.hpp	(revision 368)
+++ XIOS/trunk/src/node/axis.hpp	(revision 369)
@@ -7,4 +7,5 @@
 
 #include "declare_group.hpp"
+#include "attribute_array.hpp"
 
 namespace xios {
Index: XIOS/trunk/src/node/context.cpp
===================================================================
--- XIOS/trunk/src/node/context.cpp	(revision 368)
+++ XIOS/trunk/src/node/context.cpp	(revision 369)
@@ -176,5 +176,5 @@
    
    //----------------------------------------------------------------
-   
+/*
    void CContext::toBinary(StdOStream & os) const
    {
@@ -192,7 +192,7 @@
 #include "node_type.conf"
    }
-   
-   //----------------------------------------------------------------
-   
+*/
+   //----------------------------------------------------------------
+/*
    void CContext::fromBinary(StdIStream & is)
    {
@@ -213,5 +213,5 @@
       
    }
-   
+ */
    
    //----------------------------------------------------------------
Index: XIOS/trunk/src/node/context.hpp
===================================================================
--- XIOS/trunk/src/node/context.hpp	(revision 368)
+++ XIOS/trunk/src/node/context.hpp	(revision 369)
@@ -138,6 +138,6 @@
 
          virtual StdString toString(void) const;
-         virtual void toBinary  (StdOStream & os) const;
-         virtual void fromBinary(StdIStream & is);
+//         virtual void toBinary  (StdOStream & os) const;
+//         virtual void fromBinary(StdIStream & is);
          
       public :
